HPE Greenlake For Block Storage REST APIs
API reference
/- Get volume-set identified by id
Get all applicationset details for HPE Alletra Storage MP B10000
Create Application Set for an HPE Alletra Storage MP B10000 storage system
Export applicationset identified by {appsetId} from HPE Alletra Storage MP B10000 identified by {systemId}
Get details of HPE Alletra Storage MP B10000 replication partners identified by {systemId} and {appsetId}
Get volume details of replication partners identified by {appsetId} and {replicationPartnerId} for HPE Alletra Storage MP B10000
Remove HPE Alletra Storage MP B10000 snapset in system identified by {snapsetId}
Get details of snapsets identified by {snapsetId} for Applicationset identified by {appsetId} for HPE Alletra Storage MP B10000
Unexport applicationset identified by {appsetId} from HPE Alletra Storage MP B10000 identified by {systemId}
Get volumes for an applicationset identified by appsetUid
Remove applicationset identified by {id} from HPE Alletra Storage MP B10000 identified by {systemId}
Get applicationset details for an applicationset identified by appsetUid
Edit applicationset identified by {id} from HPE Alletra Storage MP B10000 identified by {systemId}
Get capacity details for an applicationset identified by appsetUid
Get the performance history data for the HPE Alletra Storage MP B10000 volume set identified by {id}, including the QOS configuration history and the top/bottom 5-10 volumes based on a metric or up to 10 selected volume's performance history on a storage system identified by {systemid}.
Get details of protection policies configured on application set identified by {id} created on HPE Alletra Storage MP B10000 identified by {systemId}
Add protection policy on application set identified by {id} for an HPE Alletra Storage MP B10000 storage system identified by {systemId}
Edit protection policy on application set identified by {id} for an HPE Alletra Storage MP B10000 storage system identified by {systemId}
Fix protection policy configuration on application set identified by {id} for an HPE Alletra Storage MP B10000 storage system identified by {systemId}
Remove protection policy on application set identified by {id} for an HPE Alletra Storage MP B10000 storage system identified by {systemId}
Get hosts and proximity details identified by application set {id} for HPE Alletra Storage MP B10000 identified by {systemId}
Change proximity settings of hosts where volume sets are exported identified by {id} and {systemId} from HPE Alletra Storage MP B10000
Actions on volume set identified by {id} and {systemId} from HPE Alletra Storage MP B10000
Get snapshot details of volume sets identified by {id} for HPE Alletra Storage MP B10000
Create snapshot for application set identified by {id}
Get supported protection types for application set identified by {id} on HPE Alletra Storage MP B10000 storage system identified by {systemId}
Get all volume-sets for a systemId
Get all volume-sets
Get volume-set identified by id
Get volumes identified by volume set id
Get volume-set identified...
HPE Greenlake For Block Storage REST APIs (1.0.0)
Download OpenAPI description
Overview
License
Languages
Servers
https://eu1.data.cloud.hpe.com/
https://us1.data.cloud.hpe.com/
https://jp1.data.cloud.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/
- https://eu1.data.cloud.hpe.com/block-storage/v1/storage-systems/{systemId}/volume-sets
- https://us1.data.cloud.hpe.com/block-storage/v1/storage-systems/{systemId}/volume-sets
- https://jp1.data.cloud.hpe.com/block-storage/v1/storage-systems/{systemId}/volume-sets
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/storage-systems/{systemId}/volume-sets
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/block-storage/v1/storage-systems/7CE751P312/volume-sets \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "count": 0, "offset": 0, "total": 0, "items": [ { … } ] }
- https://eu1.data.cloud.hpe.com/block-storage/v1/storage-systems/{systemId}/volume-sets/{id}
- https://us1.data.cloud.hpe.com/block-storage/v1/storage-systems/{systemId}/volume-sets/{id}
- https://jp1.data.cloud.hpe.com/block-storage/v1/storage-systems/{systemId}/volume-sets/{id}
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/storage-systems/{systemId}/volume-sets/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/block-storage/v1/storage-systems/7CE751P312/volume-sets/fd3244ef7f1ab8bd16500c7a41bdf8f8 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "appType": "Oracle Database", "associatedLinks": [ { … } ], "commonResourceAttributes": { "cloudState": "CONNECTED", "errCode": "E01", "errMessage": "This storage system is not actively monitored in the cloud portal. Data Services Cloud Console proactively disabled monitoring and management of storage system with serial number {systemId} for sending excessive cloud events or for not responding to requests." }, "customerId": "string", "generation": 0, "id": "4c74ec5c-ecec-4483-9506-3fb5dc45b5d0", "name": "snap11", "productFamily": "deviceType1", "resourceUri": "/block-storage/v1/storage-systems/volume-sets", "systemId": "7CE751P312", "type": "string", "volumesCount": 5 }
- https://eu1.data.cloud.hpe.com/block-storage/v1/volume-sets
- https://us1.data.cloud.hpe.com/block-storage/v1/volume-sets
- https://jp1.data.cloud.hpe.com/block-storage/v1/volume-sets
- Mock serverhttps://developer.greenlake.hpe.com/_mock/docs/greenlake/services/block-storage/public/openapi/block-storage-latest/v1/block-storage-api/block-storage/v1/volume-sets
- curl
- JavaScript
- Node.js
- Python
- Java
- Go
- C#
- PHP
curl -i -X GET \
https://eu1.data.cloud.hpe.com/block-storage/v1/volume-sets \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "count": 0, "offset": 0, "total": 0, "items": [ { … } ] }